Bug 17223 - Add Cache::Memcached to PerlDependencies
Summary: Add Cache::Memcached to PerlDependencies
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-30 13:52 UTC by Marcel de Rooy
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17223: Add Cache::Memcached to PerlDependencies (928 bytes, patch)
2016-08-30 13:54 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17223: Add Cache::Memcached to PerlDependencies (939 bytes, patch)
2016-08-30 18:19 UTC, Mirko Tietgen
Details | Diff | Splinter Review
Bug 17223 Follow-up: updated control file (1023 bytes, patch)
2016-08-30 18:21 UTC, Mirko Tietgen
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2016-08-30 13:52:54 UTC
Just stumble over an uninstalled Cache::Memcached (where Cache::Memcached::Fast seems to be present via koha-common) on Jessie.
Note that Context.pm creates a cache with Cache::Memcached while Koha::Cache uses Cache::Memcached::Fast. (Context even uses both!)
libcache-memcached-perl is packaged for Wheezy/Jessie.

On the longer term we should probably fix what we are doing in Context now. Opened another bug for that (see also).
Comment 1 Marcel de Rooy 2016-08-30 13:54:25 UTC Comment hidden (obsolete)
Comment 2 Mirko Tietgen 2016-08-30 18:19:56 UTC
Created attachment 55049 [details] [review]
Bug 17223: Add Cache::Memcached to PerlDependencies

Test plan:
Check about page, perl modules.

Signed-off-by: Mirko Tietgen <mirko@abunchofthings.net>
Comment 3 Mirko Tietgen 2016-08-30 18:21:40 UTC
Created attachment 55050 [details] [review]
Bug 17223 Follow-up: updated control file

This is the control file change for the master branch triggered by
the first patch.
Comment 4 Mirko Tietgen 2016-08-30 18:25:21 UTC
Marcel: Thanks for fixing this!

Trivial packaging patch. Skipping QA.

Second patch should be pushed if it still applies at time of push. If not, just skip it and it will be dealt with seperately.
Comment 5 Kyle M Hall 2016-09-02 14:57:40 UTC
Pushed to master for 16.11, thanks Marcel, Mirko!
Comment 6 Frédéric Demians 2016-09-08 19:32:50 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 7 Julian Maurice 2016-09-16 06:39:54 UTC
Pushed to 3.22.x, will be in 3.22.11